Overview | Modules | Class Hierarchy | Classes | Members

# tlp::CSVContentHandler Class Reference

`#include <CSVContentHandler.h>`

Inherited by tlp::ImportCSVDataConfigurationWidget, and tlp::ImportCSVDataWidget.

Inheritance diagram for tlp::CSVContentHandler:

[legend]
List of all members.

## Detailed Description

Interface to inherit to get and treat data from csv files with CSVParser object.

## Public Member Functions

- ~CSVContentHandler ()
- virtual void begin ()=0
- virtual void token (unsigned int row, unsigned int column, const std::string &token)=0
- virtual void end (unsigned int rowNumber, unsigned int columnNumber)=0

## Constructor & Destructor Documentation

tlp::CSVContentHandler::~CSVContentHandler | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void tlp::CSVContentHandler::begin | ( |  | ) | `[pure virtual]`

| Function called at the beginning of the file parsing. Implemented in tlp::ImportCSVDataConfigurationWidget, and tlp::ImportCSVDataWidget.

virtual void tlp::CSVContentHandler::end | ( | unsigned int | rowNumber,
|  | unsigned int | columnNumber
| ) | `[pure virtual]`

Function called at the end of the parsing.

Parameters:

  | rowNumber | the number of row read in the file.
  | columnNumber | The column number for the line with the greatest column number.

Implemented in tlp::ImportCSVDataConfigurationWidget, and tlp::ImportCSVDataWidget.

virtual void tlp::CSVContentHandler::token | ( | unsigned int | row,
|  | unsigned int | column,
|  | const std::string & | token
| ) | `[pure virtual]`

Function called for each tokens found in the file.

Parameters:

  | row | The row position of the token.
  | column | The column position of the token.
  | token | The token.

Implemented in tlp::ImportCSVDataConfigurationWidget, and tlp::ImportCSVDataWidget.

Tulip Software by LaBRI Visualization Team 2001 - 2010